## CamelVeeSummary CamelVeeSummary |

## Synopsis

                        CamelVeeSummary;
                        CamelVeeMessageInfo;
    CamelFolderSummary * camel_vee_summary_new              (struct _CamelFolder *parent);
    CamelVeeMessageInfo * camel_vee_summary_add             (CamelVeeSummary *s,
                                                             CamelFolderSummary *summary,
                                                             const char *uid,
                                                             const char hash[8]);
    GPtrArray *         camel_vee_summary_get_ids           (CamelVeeSummary *summary,
                                                             char hash[8]);

## Description

## Details

### CamelVeeSummary

    typedef struct {
    	CamelFolderSummary summary;
    	gboolean force_counts;
    	guint32 fake_visible_count;
    } CamelVeeSummary;

### CamelVeeMessageInfo

    typedef struct {
    	CamelMessageInfo info;
    	CamelFolderSummary *summary;
    	guint32 old_flags;  /* These are just for identifying changed flags */
    } CamelVeeMessageInfo;

### camel_vee_summary_new ()

    CamelFolderSummary * camel_vee_summary_new              (struct _CamelFolder *parent);

This will create a new CamelVeeSummary object and read in the summary data from disk, if it exists.

`parent` : | Folder its attached to.
Returns : | A new CamelVeeSummary object.

### camel_vee_summary_add ()

    CamelVeeMessageInfo * camel_vee_summary_add             (CamelVeeSummary *s,
                                                             CamelFolderSummary *summary,
                                                             const char *uid,
                                                             const char hash[8]);

`s` : |
`summary` : |
`uid` : |
`hash` : |
Returns : |

### camel_vee_summary_get_ids ()

    GPtrArray *         camel_vee_summary_get_ids           (CamelVeeSummary *summary,
                                                             char hash[8]);

`summary` : |
`hash` : |
Returns : |